Skip to main content

JavaFx for netbeans 6.1 on ubuntu

5 replies [Last post]
rgeorgy
Offline
Joined: 2007-05-17

Hi there,
I'm trying to install javaxf plugin for netbeans 6.1 by following this tutorial http://javafx.netbeans.org/download-compiler-JFXplugin.html. I downloaded and extracted development builds found here http://deadlock.netbeans.org/hudson/job/JavaFX_NB_daily, I found javafx sdk among other plugins are only for mac and windows and no plugins for linux. Any ideas?

Thanks in advance.

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
juancarlosun
Offline
Joined: 2008-09-04

Hi !!

Today, I was installing javafx for netbeans, on Ubuntu 8.04.

Instructions, here:

http://javafx.netbeans.org/download-compiler-JFXplugin.html

and

http://www.youtube.com/watch?v=gq3fXjy00KE

woodenfox
Offline
Joined: 2009-04-22

The tutorial worked great, I just got started learning JavaFX through an ARG at pietheory.com, its been a fun way to learn.

ikoziak
Offline
Joined: 2008-07-19

I have the same problem with NetBeans IDE 6.1 (Build 200805300101) on Windows with JavaFX SDK for Windows (build #105):

Version: 1.1.1 Date: 7/19/08 Source: org-netbeans-modules-javafx-sdk-win.nbm Homepage: http://javafx.netbeans.org/
Plugin Description
Provides access to JavaFX SDK for Windows.

When trying to install 20 plugins coming with the build I am getting:

Missing required modules for Plugin JavaFX Kit:
requires javafx.sdk

Message was edited by: ikoziak

alexsch
Offline
Joined: 2007-07-12

It is a regression that should be fixed soon.
140961 Unable to install plugin: Missing required modules - requires javaf.sdk
http://www.netbeans.org/issues/show_bug.cgi?id=140961

alexsch
Offline
Joined: 2007-07-12

Just update the following issue: 137453 Install fails on Linux: requires javafx.sdk
http://www.netbeans.org/issues/show_bug.cgi?id=137453